<div ng-show="$root.tagsArray.length < 1">
    <b>Tags loading...</b>
</div>
<div ng-repeat="file in $root.tagsArray | findFile: fileId">
    <div class="row draggable tag">
        <ul dnd-list="file.essential_tags">
            <li class="tag"
                ng-repeat="tag in file.essential_tags"
                ng-attr-id="{{file.id + '_' + tag.name}}"
                dnd-draggable="tag"
                dnd-moved="file.essential_tags.splice($index, 1)"
                dnd-effect-allowed="move"
                dnd-disable-if="isTagRequestInProgress">
                <dnd-nodrag>
                    <div class="row">
                        <div class="col-md-10">
                            <div class="input-group has-success">
                                <span class="input-group-addon">
                                    <span class="glyphicon glyphicon-sort sort-handle" aria-hidden="true"
                                          dnd-handle></span>
                                    <span class="glyphicon glyphicon-tag" aria-hidden="true"></span>&nbsp;{{tag.name}}
                                </span>
                                <input type="text" class="form-control" placeholder="{{tag.name}}" value="{{tag.value}}"
                                       ng-class="file.id + '_' + tag.name" ng-disabled="isTagRequestInProgress" dnd-nodrag>
                                <div class="input-group-btn">
                                    <button class="btn btn-success" type="button"
                                            ng-click="saveChanges(file.id, tag.name, false)"
                                            ng-disabled="isTagRequestInProgress">
                                        Save
                                    </button>
                                    <button class="btn btn-danger" type="button"
                                            ng-click="deleteTag(file.id, tag.name, true)"
                                            ng-disabled="isTagRequestInProgress">
                                        Delete
                                    </button>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-2"
                             ng-show="tag.name == 'album' || tag.name == 'artist' || tag.name == 'track_number'">
                            <div class="checkbox margin-5">
                                <label>
                                    <input type="checkbox" ng-checked="tag.is_shown"
                                           ng-disabled="isTagRequestInProgress"
                                           ng-click="changeVisibility(file.id, tag.name); isVisibilityChanged = true">
                                    Show in library
                                </label>
                            </div>
                        </div>
                        <div class="col-md-2"
                             ng-show="tag.name == 'title'">
                            <div class="checkbox margin-5">
                                <label class="text-muted">
                                    Always shown
                                </label>
                            </div>
                        </div>
                    </div>
                </dnd-nodrag>
            </li>
        </ul>
        <ul>
            <li class="tag" ng-repeat="tag in blankEssentialTags | removeUsed: fileId">
                <div class="row">
                    <div class="col-md-10">
                        <div class="input-group">
                            <span class="input-group-addon">
                                <span class="glyphicon glyphicon-tag" aria-hidden="true"></span>&nbsp;{{tag.name}}
                            </span>
                            <input type="text" class="form-control" placeholder="{{ 'Create ' + tag.name + ' tag' }}"
                                   ng-class="file.id + '_' + tag.name" ng-disabled="isTagRequestInProgress">
                            <div class="input-group-btn">
                                <button class="btn btn-info" type="button"
                                        ng-click="saveChanges(file.id, tag.name, true)"
                                        ng-disabled="isTagRequestInProgress">
                                    Create
                                </button>
                            </div>
                        </div>
                    </div>
                    <!--
                    <div class="col-md-2"
                         ng-show="tag.name == 'album' || tag.name == 'artist' || tag.name == 'track_number'">
                        <div class="checkbox margin-5">
                            <label>
                                <input type="checkbox" ng-checked="tag.is_shown"
                                       ng-disabled="isTagRequestInProgress"
                                       ng-attr-id="{{ 'new_' + tag.name + '_visibility_' + file.id }}">
                                Show in library
                            </label>
                        </div>
                    </div>
                    <div class="col-md-2"
                         ng-show="tag.name == 'title'">
                        <div class="checkbox margin-5">
                            <label class="text-muted">
                                Always shown
                            </label>
                        </div>
                    </div>-->
                </div>
            </li>
        </ul>
    </div>
    <div class="row">
        <ul>
            <li class="tag">
                <div class="row">
                    <div class="col-md-10">
                        <button class="btn btn-primary btn-sm"
                                ng-click="saveSorting(fileId)"
                                ng-disabled="isTagRequestInProgress">
                            Save order
                        </button>
                    </div>
                    <div class="col-md-2">
                        <button class="btn btn-primary btn-sm" ng-show="isVisibilityChanged"
                                ng-disabled="isTagRequestInProgress" ng-click="saveSorting(fileId)">
                            Save visibility changes
                        </button>
                    </div>
                </div>
            </li>
        </ul>
    </div>
    <hr>
    <div class="row">
        <ul>
            <li class="tag"
                ng-repeat="tag in file.other_tags"
                ng-attr-id="{{ file.id + '_' + tag.name }}">
                <div class="row">
                    <div class="col-md-10">
                        <div class="input-group">
                            <span class="input-group-addon">
                                <span class="glyphicon glyphicon-tag" aria-hidden="true"></span>&nbsp;{{tag.name}}
                            </span>
                            <input type="text" class="form-control" placeholder="{{tag.name}}" value="{{tag.value}}"
                                   ng-class="file.id + '_' + tag.name">
                            <div class="input-group-btn">
                                <button class="btn btn-default" type="button"
                                        ng-click="saveChanges(file.id, tag.name, false)"
                                        ng-disabled="isTagRequestInProgress">
                                    Save
                                </button>
                                <button class="btn btn-default" type="button"
                                        ng-click="deleteTag(file.id, tag.name, false);"
                                        ng-disabled="isTagRequestInProgress">
                                    Delete
                                </button>
                            </div>
                        </div>
                    </div>
                </div>
            </li>
            <li class="tag" ng-show="false">
                <br>
                <div class="row">
                    <div class="col-md-10">
                        <div class="input-group">
                            <div class="input-group-btn">
                                <select ng-attr-id="{{ 'newTagName_' + file.id }}" class="form-control"
                                        style="width: auto">
                                    <option ng-repeat="newTag in newTagArray" value="{{newTag}}"
                                            ng-click="newTagValue = newTag">{{newTag}}
                                    </option>
                                </select>
                            </div>
                            <input type="text" class="form-control" placeholder="New tag value"
                                   ng-attr-id="{{ 'newTagValue_' + file.id }}"
                                   ng-disabled="isTagRequestInProgress">
                            <div class="input-group-btn">
                                <button class="btn btn-default" type="button"
                                        ng-click="createTag(file.id)"
                                        ng-disabled="isTagRequestInProgress">
                                    Create
                                </button>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-2">
                        <div class="checkbox margin-5">
                            <label>
                                <input type="checkbox" ng-disabled="isTagRequestInProgress"
                                       ng-attr-id="{{ 'newTagVisibility_' + file.id }}">
                                Show in library
                            </label>
                        </div>
                    </div>
                </div>
            </li>
        </ul>
    </div>
</div>
